Subject: Broom advice needed

From: [email-masked] (Karen Carlson)
Date: 22 MAR 95 17:39:07 GMT

I'm thinking of planting a row of broom (Cytissus) along a chainlink fence to
serve as a *not-so-obvious* privacy screen.  I like the fact that it is
evergreen, isn't so thick as to form a solid wall, and reaches the height I
desire.  I'm in the southern range of zone 6 (south-central PA) and meet the
necessary growing requirements, but I'm not sure how far from the fence they
should be planted to allow for maximum growth.  Does anyone have any
recommendations?  E-mail responses appreciated.  Thanks in advance!

Karen

Karen Carlson
[email-masked]                             Think Spring!!!!